<?php

namespace UP1\AgendaTheses\Domain\Model;


class Json extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * Datas from json.
     *
     * @var string
     */
    protected $jsonDatas = '';

    /**
     * Array of json datas.
     *
     * @var array
     */
    protected $jsonDatasArray = array();

    /**
     * An empty constructor - fill it as you like
     *
     */
    public function __construct() {

    }

    /**
     * Gets Json data from url
     *
     * @param string $urlJson
     * return void
     */
    public function getJsonDatasFromUrl($urlJson) {
        $this->jsonDatas = file_get_contents($urlJson);
    }


    /**
     * Transform Json data to array
     *
     * return void
     */
    public function transformJsonDatasToArray() {
        $this->jsonDatasArray = json_decode($this->jsonDatas, true);
    }

    /**
     * Gets the jsonDatasArray
     *
     * @return array The array of json datas
     */
    public function getJsonDatasArray() {
        return $this->jsonDatasArray;
    }
} 